import java.util.Arrays;

public class Class411 {

   int anInt5025 = 1731627136;
   public static short[] aShortArray5026 = new short[256];
   Class388 aClass388_5027;
   public int anInt5028;
   public String aString5029 = "null";
   public short aShort5030 = 0;
   public int[] anIntArray5031;
   public int[] anIntArray5032;
   int[][] anIntArrayArray5033;
   public int anInt5034 = -25795483;
   byte aByte5035;
   public short[] aShortArray5036;
   byte[] aByteArray5037;
   int anInt5038 = -1241978496;
   public int anInt5039 = -399126931;
   public byte[] aByteArray5040;
   public byte[] aByteArray5041;
   public byte aByte5042 = -16;
   byte aByte5043;
   public boolean aBool5044 = false;
   short[] aShortArray5045;
   public String[] aStringArray5046;
   public int anInt5047 = 0;
   public int anInt5048 = 334554619;
   public boolean aBool5049 = true;
   int[] anIntArray5050;
   int anInt5051 = 0;
   short[] aShortArray5052;
   public int anInt5053 = -563465571;
   public boolean aBool5054 = false;
   public boolean aBool5055 = false;
   public int anInt5056;
   Class423 aClass423_5057;
   public int anInt5058 = -614169845;
   public int anInt5059 = 980090613;
   public int anInt5060 = -18424160;
   public int[] anIntArray5061;
   int anInt5062 = -115231363;
   int anInt5063 = -84485395;
   public boolean aBool5064 = true;
   public boolean aBool5065 = true;
   public boolean aBool5066 = true;
   public boolean aBool5067;
   public short aShort5068 = 0;
   public byte aByte5069 = -96;
   public int anInt5070;
   public byte aByte5071 = 0;
   public static final int anInt5072 = 1;
   public static final int anInt5073 = 2;
   public int anInt5074 = -1058353967;
   public int anInt5075 = -1497827265;
   public int anInt5076 = -1000431655;
   public int[] anIntArray5077;
   byte aByte5078;
   public int anInt5079 = 0;
   public short[] aShortArray5080;
   byte aByte5081 = 0;
   static final int anInt5082 = 6;
   public int anInt5083 = 340142423;
   public Class270 aClass270_5084;
   public boolean aBool5085;
   public int anInt5086 = 812351629;
   public byte aByte5087;
   public int anInt5088;
   public int anInt5089;
   public int anInt5090;
   public int anInt5091 = -990102481;
   int anInt5092 = 0;
   public static Class531 aClass531_5093;
   public static RS2Buffer aClass225_Sub23_5094;


   public int method7035(int var1, int var2) {
      if(null == this.aClass423_5057) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5057.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   void method7036(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            if(var2 <= 1713079013) {
               ;
            }

            return;
         }

         this.method7052(var1, var3, 210218270);
      }
   }

   public boolean method7037(int var1) {
      if(this.anIntArray5061 == null) {
         return this.anInt5074 * 748352463 != -1 || this.anInt5076 * -702410857 != -1 || -884370277 * this.anInt5039 != -1;
      } else {
         for(int var2 = 0; var2 < this.anIntArray5061.length; ++var2) {
            if(-1 != this.anIntArray5061[var2]) {
               Class411 var3 = this.aClass388_5027.method6647(this.anIntArray5061[var2], 634463259);
               if(-1 != var3.anInt5074 * 748352463 || var3.anInt5076 * -702410857 != -1 || var3.anInt5039 * -884370277 != -1) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   void method7038(int var1) {
      if(this.anIntArray5031 == null) {
         this.anIntArray5031 = new int[0];
      }

      if(this.aByte5087 == -1) {
         if(Class481.aClass481_5854 == this.aClass388_5027.aClass481_4835) {
            this.aByte5087 = 1;
         } else {
            this.aByte5087 = 0;
         }
      }

   }

   void method7039() {
      if(this.anIntArray5031 == null) {
         this.anIntArray5031 = new int[0];
      }

      if(this.aByte5087 == -1) {
         if(Class481.aClass481_5854 == this.aClass388_5027.aClass481_4835) {
            this.aByte5087 = 1;
         } else {
            this.aByte5087 = 0;
         }
      }

   }

   public final Class568 method7040(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11, int var12, boolean var13, int var14) {
      if(null != this.anIntArray5061) {
         Class411 var40 = this.method7045(var4, var5, -1873125472);
         return null == var40?null:var40.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, var12, var13, 1634517463);
      } else {
         int var15 = var2;
         if(-928898063 * this.anInt5025 != 128) {
            var15 = var2 | 2;
         }

         if(128 != 1489669723 * this.anInt5038) {
            var15 |= 5;
         }

         boolean var16 = false;
         int var17 = null != var8?var8.length:0;

         for(int var18 = 0; var18 < var17; ++var18) {
            if(var8[var18] != null) {
               var15 |= var8[var18].method7983(257675263);
               var16 = true;
            }
         }

         if(var6 != null) {
            var15 |= var6.method7983(257675263);
            var16 = true;
         }

         if(var7 != null) {
            var15 |= var7.method7983(257675263);
            var16 = true;
         }

         long var19 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var11 != null) {
            var19 |= var11.aLong4883 * -3721841157806580057L << 24;
         }

         Class564 var21 = this.aClass388_5027.aClass564_4840;
         Class568 var22;
         synchronized(var21) {
            var22 = (Class568)this.aClass388_5027.aClass564_4840.method11959(var19);
         }

         Class546 var41 = null;
         if(!var13 && var12 != -1) {
            var41 = var3.method12008(var12, (byte)27);
         } else if(-1 != this.anInt5034 * 1521242771) {
            var41 = var3.method12008(1521242771 * this.anInt5034, (byte)-82);
         }

         int var27;
         if(null == var22 || (var22.m() & var15) != var15) {
            if(null != var22) {
               var15 |= var22.m();
            }

            int var23 = var15;
            if(this.aShortArray5045 != null) {
               var23 = var15 | 16384;
            }

            if(this.aShortArray5052 != null) {
               var23 |= '\u8000';
            }

            if(0 != this.aByte5081) {
               var23 |= 524288;
            }

            int[] var24 = var11 != null && var11.anIntArray4881 != null?var11.anIntArray4881:this.anIntArray5031;
            boolean var25 = false;
            Class253 var26 = this.aClass388_5027.aClass253_4843;
            synchronized(var26) {
               for(var27 = 0; var27 < var24.length; ++var27) {
                  if(var24[var27] != -1 && !this.aClass388_5027.aClass253_4843.method4506(var24[var27], 0, (byte)84)) {
                     var25 = true;
                  }
               }
            }

            if(var25) {
               return null;
            }

            Class96[] var45 = new Class96[var24.length];

            int var28;
            for(var28 = 0; var28 < var24.length; ++var28) {
               if(-1 != var24[var28]) {
                  Class253 var29 = this.aClass388_5027.aClass253_4843;
                  synchronized(var29) {
                     var45[var28] = Class96.method1867(this.aClass388_5027.aClass253_4843, var24[var28], 0);
                  }

                  if(null != var45[var28]) {
                     if(var45[var28].anInt947 < 13) {
                        var45[var28].method1848(2);
                     }

                     if(null != this.anIntArrayArray5033 && null != this.anIntArrayArray5033[var28]) {
                        var45[var28].method1863(this.anIntArrayArray5033[var28][0], this.anIntArrayArray5033[var28][1], this.anIntArrayArray5033[var28][2]);
                     }
                  }
               }
            }

            int var51;
            if(null != var41 && var41.anIntArrayArray7416 != null) {
               for(var28 = 0; var28 < var41.anIntArrayArray7416.length; ++var28) {
                  if(var28 < var45.length && null != var45[var28]) {
                     var51 = 0;
                     int var30 = 0;
                     int var31 = 0;
                     int var32 = 0;
                     int var33 = 0;
                     int var34 = 0;
                     if(null != var41.anIntArrayArray7416[var28]) {
                        var51 = var41.anIntArrayArray7416[var28][0];
                        var30 = var41.anIntArrayArray7416[var28][1];
                        var31 = var41.anIntArrayArray7416[var28][2];
                        var32 = var41.anIntArrayArray7416[var28][3] << 3;
                        var33 = var41.anIntArrayArray7416[var28][4] << 3;
                        var34 = var41.anIntArrayArray7416[var28][5] << 3;
                     }

                     if(var32 != 0 || 0 != var33 || var34 != 0) {
                        var45[var28].method1885(var32, var33, var34);
                     }

                     if(var51 != 0 || 0 != var30 || var31 != 0) {
                        var45[var28].method1863(var51, var30, var31);
                     }
                  }
               }
            }

            Class96 var46;
            if(1 == var45.length) {
               var46 = var45[0];
            } else {
               var46 = new Class96(var45, var45.length);
            }

            var22 = var1.method11493(var46, var23, 1995552779 * this.aClass388_5027.anInt4842, 64 + this.anInt5051 * -221781461, 22923371 * this.anInt5092 + 850);
            short[] var50;
            if(this.aShortArray5045 != null) {
               if(var11 != null && var11.aShortArray4882 != null) {
                  var50 = var11.aShortArray4882;
               } else {
                  var50 = this.aShortArray5036;
               }

               for(var51 = 0; var51 < this.aShortArray5045.length; ++var51) {
                  if(null != this.aByteArray5037 && var51 < this.aByteArray5037.length) {
                     var22.X(this.aShortArray5045[var51], aShortArray5026[this.aByteArray5037[var51] & 255]);
                  } else {
                     var22.X(this.aShortArray5045[var51], var50[var51]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(var11 != null && null != var11.aShortArray4880) {
                  var50 = var11.aShortArray4880;
               } else {
                  var50 = this.aShortArray5080;
               }

               for(var51 = 0; var51 < this.aShortArray5052.length; ++var51) {
                  var22.W(this.aShortArray5052[var51], var50[var51]);
               }
            }

            if(0 != this.aByte5081) {
               var22.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var22.KA(var15);
            Class564 var49 = this.aClass388_5027.aClass564_4840;
            synchronized(var49) {
               this.aClass388_5027.aClass564_4840.method11958(var22, var19);
            }
         }

         Class568 var42 = var22.method12060((byte)4, var15, true);
         boolean var44 = false;
         if(var9 != null) {
            for(int var43 = 0; var43 < 12; ++var43) {
               if(var9[var43] != -1) {
                  var44 = true;
               }
            }
         }

         if(!var16 && !var44) {
            return var42;
         } else {
            Class328[] var47 = null;
            if(null != var41) {
               var47 = var41.method11738((byte)15);
            }

            int var48;
            if(var44 && null != var47) {
               for(var48 = 0; var48 < 12; ++var48) {
                  if(var47[var48] != null) {
                     var42.method12114(var47[var48], 1 << var48, true);
                  }
               }
            }

            var48 = 0;

            for(var27 = 1; var48 < var17; var27 <<= 1) {
               if(var8[var48] != null) {
                  var8[var48].method7985(var42, 0, var27, 866458299);
               }

               ++var48;
            }

            if(var44) {
               for(var48 = 0; var48 < 12; ++var48) {
                  if(var9[var48] != -1) {
                     var27 = var9[var48] - var10;
                     var27 &= 16383;
                     Class328 var52 = new Class328();
                     var52.method5997(0.0F, 1.0F, 0.0F, Class312.method5556(var27));
                     var42.method12114(var52, 1 << var48, false);
                  }
               }
            }

            if(var44 && null != var47) {
               for(var48 = 0; var48 < 12; ++var48) {
                  if(var47[var48] != null) {
                     var42.method12114(var47[var48], 1 << var48, false);
                  }
               }
            }

            if(null != var6 && null != var7) {
               Class515_Sub1_Sub4_Sub4.method16732(var42, var6, var7, -1549742787);
            } else if(null != var6) {
               var6.method8040(var42, 0, 1247144150);
            } else if(var7 != null) {
               var7.method8040(var42, 0, 1051666687);
            }

            if(this.anInt5038 * 1489669723 != 128 || -928898063 * this.anInt5025 != 128) {
               var42.oa(this.anInt5038 * 1489669723, this.anInt5025 * -928898063, 1489669723 * this.anInt5038);
            }

            var42.KA(var2);
            return var42;
         }
      }
   }

   public final Class568 method7041(Class545 var1, int var2, Interface13 var3, Interface12 var4, Class477 var5, Class396 var6, int var7) {
      if(null != this.anIntArray5061) {
         Class411 var24 = this.method7045(var3, var4, -1873125472);
         return var24 == null?null:var24.method7041(var1, var2, var3, var4, var5, var6, 1331450220);
      } else if(null == this.anIntArray5032 && (var6 == null || null == var6.anIntArray4881)) {
         return null;
      } else {
         int var8 = var2;
         if(null != var5) {
            var8 = var2 | var5.method7983(257675263);
         }

         long var9 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var6 != null) {
            var9 |= -3721841157806580057L * var6.aLong4883 << 24;
         }

         Class564 var11 = this.aClass388_5027.aClass564_4834;
         Class568 var12;
         synchronized(var11) {
            var12 = (Class568)this.aClass388_5027.aClass564_4834.method11959(var9);
         }

         if(var12 == null || (var12.m() & var8) != var8) {
            if(var12 != null) {
               var8 |= var12.m();
            }

            int var25 = var8;
            if(null != this.aShortArray5045) {
               var25 = var8 | 16384;
            }

            if(null != this.aShortArray5052) {
               var25 |= '\u8000';
            }

            if(this.aByte5081 != 0) {
               var25 |= 524288;
            }

            int[] var13 = null != var6 && var6.anIntArray4881 != null?var6.anIntArray4881:this.anIntArray5032;
            boolean var14 = false;
            Class253 var15 = this.aClass388_5027.aClass253_4843;
            int var16;
            synchronized(var15) {
               for(var16 = 0; var16 < var13.length; ++var16) {
                  if(!this.aClass388_5027.aClass253_4843.method4506(var13[var16], 0, (byte)79)) {
                     var14 = true;
                  }
               }
            }

            if(var14) {
               return null;
            }

            Class96[] var26 = new Class96[var13.length];
            Class253 var27 = this.aClass388_5027.aClass253_4843;
            synchronized(var27) {
               for(int var17 = 0; var17 < var13.length; ++var17) {
                  var26[var17] = Class96.method1867(this.aClass388_5027.aClass253_4843, var13[var17], 0);
               }
            }

            for(var16 = 0; var16 < var13.length; ++var16) {
               if(null != var26[var16] && var26[var16].anInt947 < 13) {
                  var26[var16].method1848(2);
               }
            }

            Class96 var28;
            if(1 == var26.length) {
               var28 = var26[0];
            } else {
               var28 = new Class96(var26, var26.length);
            }

            var12 = var1.method11493(var28, var25, this.aClass388_5027.anInt4842 * 1995552779, 64, 768);
            int var18;
            short[] var29;
            if(this.aShortArray5045 != null) {
               if(var6 != null && null != var6.aShortArray4882) {
                  var29 = var6.aShortArray4882;
               } else {
                  var29 = this.aShortArray5036;
               }

               for(var18 = 0; var18 < this.aShortArray5045.length; ++var18) {
                  if(this.aByteArray5037 != null && var18 < this.aByteArray5037.length) {
                     var12.X(this.aShortArray5045[var18], aShortArray5026[this.aByteArray5037[var18] & 255]);
                  } else {
                     var12.X(this.aShortArray5045[var18], var29[var18]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(null != var6 && null != var6.aShortArray4880) {
                  var29 = var6.aShortArray4880;
               } else {
                  var29 = this.aShortArray5080;
               }

               for(var18 = 0; var18 < this.aShortArray5052.length; ++var18) {
                  var12.W(this.aShortArray5052[var18], var29[var18]);
               }
            }

            if(this.aByte5081 != 0) {
               var12.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var12.KA(var8);
            Class564 var30 = this.aClass388_5027.aClass564_4834;
            synchronized(var30) {
               this.aClass388_5027.aClass564_4834.method11958(var12, var9);
            }
         }

         if(null != var5) {
            var12 = var12.method12060((byte)1, var8, true);
            var5.method8040(var12, 0, 1832569684);
         }

         var12.KA(var2);
         return var12;
      }
   }

   public final boolean method7042(int var1) {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var2 = true;
         int[] var3 = this.anIntArray5031;

         for(int var4 = 0; var4 < var3.length; ++var4) {
            int var5 = var3[var4];
            if(!this.aClass388_5027.aClass253_4843.method4506(var5, 0, (byte)-18)) {
               var2 = false;
            }
         }

         return var2;
      }
   }

   public int method7043(int var1, int var2, int var3) {
      if(null == this.aClass423_5057) {
         return var2;
      } else {
         IntVar var4 = (IntVar)this.aClass423_5057.method7211((long)var1);
         return null == var4?var2:442885445 * var4.integer;
      }
   }

   public String method7044(int var1, String var2, int var3) {
      if(this.aClass423_5057 == null) {
         return var2;
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_5057.method7211((long)var1);
         return var4 == null?var2:(String)var4.object;
      }
   }

   public final Class411 method7045(Interface13 var1, Interface12 var2, int var3) {
      int var4 = -1;
      if(-1557670869 * this.anInt5062 != -1) {
         Class295 var5 = var1.method52(-1557670869 * this.anInt5062, 2085067071);
         if(null != var5) {
            var4 = var2.method49(var5, (byte)1);
         }
      } else if(-943690469 * this.anInt5063 != -1) {
         Class169 var6 = var1.method53(Class251.aClass251_2983, -943690469 * this.anInt5063, (byte)-112);
         if(null != var6) {
            var4 = var2.method50(var6, 793061436);
         }
      }

      if(var4 >= 0 && var4 < this.anIntArray5061.length - 1) {
         return this.anIntArray5061[var4] == -1?null:this.aClass388_5027.method6647(this.anIntArray5061[var4], 1423988137);
      } else {
         int var7 = this.anIntArray5061[this.anIntArray5061.length - 1];
         return -1 != var7?this.aClass388_5027.method6647(var7, 569922336):null;
      }
   }

   public boolean method7046(Interface13 var1, Interface12 var2, int var3) {
      if(null == this.anIntArray5061) {
         return true;
      } else {
         int var4 = -1;
         if(-1 != -1557670869 * this.anInt5062) {
            Class295 var5 = var1.method52(this.anInt5062 * -1557670869, 2001208156);
            if(null != var5) {
               var4 = var2.method49(var5, (byte)9);
            }
         } else if(-943690469 * this.anInt5063 != -1) {
            Class169 var6 = var1.method53(Class251.aClass251_2983, this.anInt5063 * -943690469, (byte)21);
            if(var6 != null) {
               var4 = var2.method50(var6, 1454998919);
            }
         }

         if(var4 >= 0 && var4 < this.anIntArray5061.length - 1) {
            return this.anIntArray5061[var4] != -1;
         } else {
            int var7 = this.anIntArray5061[this.anIntArray5061.length - 1];
            return var7 != -1;
         }
      }
   }

   public final boolean method7047() {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var1 = true;
         int[] var2 = this.anIntArray5031;

         for(int var3 = 0; var3 < var2.length; ++var3) {
            int var4 = var2[var3];
            if(!this.aClass388_5027.aClass253_4843.method4506(var4, 0, (byte)-7)) {
               var1 = false;
            }
         }

         return var1;
      }
   }

   public int method7048(int var1, int var2) {
      return this.anIntArray5050 == null?-1:this.anIntArray5050[var1];
   }

   public String method7049(int var1, String var2) {
      if(this.aClass423_5057 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5057.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   void method7050(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method7052(var1, var2, 210218270);
      }
   }

   void method7051() {
      if(this.anIntArray5031 == null) {
         this.anIntArray5031 = new int[0];
      }

      if(this.aByte5087 == -1) {
         if(Class481.aClass481_5854 == this.aClass388_5027.aClass481_4835) {
            this.aByte5087 = 1;
         } else {
            this.aByte5087 = 0;
         }
      }

   }

   void method7052(RS2Buffer var1, int var2, int var3) {
      int var4;
      int var5;
      if(var2 == 1) {
         var4 = var1.readUnsignedByte(-700559597);
         this.anIntArray5031 = new int[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5031[var5] = var1.readLargeSmart(1682709659);
         }
      } else if(var2 == 2) {
         this.aString5029 = var1.readString((byte)51);
      } else if(var2 == 12) {
         this.anInt5053 = var1.readUnsignedByte(-700559597) * -563465571;
      } else if(var2 >= 30 && var2 < 35) {
         this.aStringArray5046[var2 - 30] = var1.readString((byte)4);
      } else if(40 == var2) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aShortArray5045 = new short[var4];
         this.aShortArray5036 = new short[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aShortArray5045[var5] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5036[var5] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(41 == var2) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aShortArray5052 = new short[var4];
         this.aShortArray5080 = new short[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aShortArray5052[var5] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5080[var5] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(var2 == 42) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aByteArray5037 = new byte[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aByteArray5037[var5] = var1.readByte(129405990);
         }
      } else {
         int var6;
         int var7;
         byte var9;
         if(var2 == 44) {
            var4 = var1.readUnsignedShort(-937710807);
            var5 = 0;

            for(var6 = var4; var6 > 0; var6 >>= 1) {
               ++var5;
            }

            this.aByteArray5040 = new byte[var5];
            var9 = 0;

            for(var7 = 0; var7 < var5; ++var7) {
               if((var4 & 1 << var7) > 0) {
                  this.aByteArray5040[var7] = var9++;
               } else {
                  this.aByteArray5040[var7] = -1;
               }
            }
         } else if(45 == var2) {
            var4 = var1.readUnsignedShort(-937710807);
            var5 = 0;

            for(var6 = var4; var6 > 0; var6 >>= 1) {
               ++var5;
            }

            this.aByteArray5041 = new byte[var5];
            var9 = 0;

            for(var7 = 0; var7 < var5; ++var7) {
               if((var4 & 1 << var7) > 0) {
                  this.aByteArray5041[var7] = var9++;
               } else {
                  this.aByteArray5041[var7] = -1;
               }
            }
         } else if(60 == var2) {
            var4 = var1.readUnsignedByte(-700559597);
            this.anIntArray5032 = new int[var4];

            for(var5 = 0; var5 < var4; ++var5) {
               this.anIntArray5032[var5] = var1.readLargeSmart(2113191223);
            }
         } else if(var2 == 93) {
            this.aBool5049 = false;
         } else if(95 == var2) {
            this.anInt5091 = var1.readUnsignedShort(-937710807) * 990102481;
         } else if(97 == var2) {
            this.anInt5038 = var1.readUnsignedShort(-937710807) * -1284771373;
         } else if(var2 == 98) {
            this.anInt5025 = var1.readUnsignedShort(-937710807) * 953052433;
         } else if(var2 == 99) {
            this.aBool5044 = true;
         } else if(100 == var2) {
            this.anInt5051 = var1.readByte(883056503) * -856175485;
         } else if(101 == var2) {
            this.anInt5092 = var1.readByte(696710872) * -990694065;
         } else if(102 == var2) {
            this.anInt5058 = var1.readUnsignedShort(-937710807) * 614169845;
         } else if(103 == var2) {
            this.anInt5060 = var1.readUnsignedShort(-937710807) * -1879623947;
         } else if(var2 != 106 && 118 != var2) {
            if(var2 == 107) {
               this.aBool5064 = false;
            } else if(var2 == 109) {
               this.aBool5065 = false;
            } else if(111 == var2) {
               this.aBool5066 = false;
            } else if(var2 == 113) {
               this.aShort5030 = (short)var1.readUnsignedShort(-937710807);
               this.aShort5068 = (short)var1.readUnsignedShort(-937710807);
            } else if(var2 == 114) {
               this.aByte5069 = var1.readByte(1368892808);
               this.aByte5042 = var1.readByte(1211405797);
            } else if(119 == var2) {
               this.aByte5071 = var1.readByte(-797075755);
            } else if(var2 == 121) {
               this.anIntArrayArray5033 = new int[this.anIntArray5031.length][];
               var4 = var1.readUnsignedByte(-700559597);

               for(var5 = 0; var5 < var4; ++var5) {
                  var6 = var1.readUnsignedByte(-700559597);
                  int[] var10 = this.anIntArrayArray5033[var6] = new int[3];
                  var10[0] = var1.readByte(-286979204);
                  var10[1] = var1.readByte(-875693306);
                  var10[2] = var1.readByte(1500844772);
               }
            } else if(123 == var2) {
               this.anInt5083 = var1.readUnsignedShort(-937710807) * -340142423;
            } else if(125 == var2) {
               this.aClass270_5084 = (Class270)Class79.method1636(Class121.method2350((short)257), var1.readByte(-683875241), (byte)30);
            } else if(var2 == 127) {
               this.anInt5034 = var1.readUnsignedShort(-937710807) * 25795483;
            } else if(128 == var2) {
               Class79.method1636(Class118_Sub6.method13179(2045738224), var1.readUnsignedByte(-700559597), (byte)38);
            } else if(134 == var2) {
               this.anInt5074 = var1.readUnsignedShort(-937710807) * 1058353967;
               if('\uffff' == this.anInt5074 * 748352463) {
                  this.anInt5074 = -1058353967;
               }

               this.anInt5075 = var1.readUnsignedShort(-937710807) * 1497827265;
               if('\uffff' == 318310465 * this.anInt5075) {
                  this.anInt5075 = -1497827265;
               }

               this.anInt5076 = var1.readUnsignedShort(-937710807) * 1000431655;
               if('\uffff' == this.anInt5076 * -702410857) {
                  this.anInt5076 = -1000431655;
               }

               this.anInt5039 = var1.readUnsignedShort(-937710807) * 399126931;
               if(-884370277 * this.anInt5039 == '\uffff') {
                  this.anInt5039 = -399126931;
               }

               this.anInt5047 = var1.readUnsignedByte(-700559597) * 1336881049;
            } else if(var2 != 135 && var2 != 136) {
               if(137 == var2) {
                  this.anInt5048 = var1.readUnsignedShort(-937710807) * -334554619;
               } else if(138 == var2) {
                  this.anInt5059 = var1.readLargeSmart(1569026072) * -980090613;
               } else if(140 == var2) {
                  this.anInt5086 = var1.readUnsignedByte(-700559597) * 1451684467;
               } else if(141 == var2) {
                  this.aBool5055 = true;
               } else if(var2 == 142) {
                  this.anInt5070 = var1.readUnsignedShort(-937710807) * -793670309;
               } else if(143 == var2) {
                  this.aBool5054 = true;
               } else if(var2 >= 150 && var2 < 155) {
                  this.aStringArray5046[var2 - 150] = var1.readString((byte)-18);
                  if(!this.aClass388_5027.aBool4836) {
                     this.aStringArray5046[var2 - 150] = null;
                  }
               } else if(var2 == 155) {
                  this.aByte5078 = var1.readByte(637754856);
                  this.aByte5043 = var1.readByte(662047399);
                  this.aByte5035 = var1.readByte(-98593837);
                  this.aByte5081 = var1.readByte(1870631558);
               } else if(158 == var2) {
                  this.aByte5087 = 1;
               } else if(159 == var2) {
                  this.aByte5087 = 0;
               } else if(160 == var2) {
                  var4 = var1.readUnsignedByte(-700559597);
                  this.anIntArray5077 = new int[var4];

                  for(var5 = 0; var5 < var4; ++var5) {
                     this.anIntArray5077[var5] = var1.readUnsignedShort(-937710807);
                  }
               } else if(162 == var2) {
                  this.aBool5085 = true;
               } else if(163 == var2) {
                  this.anInt5088 = var1.readUnsignedByte(-700559597) * 1944853111;
               } else if(164 == var2) {
                  this.anInt5089 = var1.readUnsignedShort(-937710807) * -2129546015;
                  this.anInt5090 = var1.readUnsignedShort(-937710807) * 686980067;
               } else if(165 == var2) {
                  this.anInt5028 = var1.readUnsignedByte(-700559597) * -1109903111;
               } else if(168 == var2) {
                  this.anInt5079 = var1.readUnsignedByte(-700559597) * 2001630437;
               } else if(169 == var2) {
                  this.aBool5067 = false;
               } else if(var2 >= 170 && var2 < 176) {
                  if(this.anIntArray5050 == null) {
                     this.anIntArray5050 = new int[6];
                     Arrays.fill(this.anIntArray5050, -1);
                  }

                  var4 = var1.readUnsignedShort(-937710807);
                  if(var4 == '\uffff') {
                     var4 = -1;
                  }

                  this.anIntArray5050[var2 - 170] = var4;
               } else if(249 == var2) {
                  var4 = var1.readUnsignedByte(-700559597);
                  if(null == this.aClass423_5057) {
                     var5 = Class468.method7880(var4, (byte)-39);
                     this.aClass423_5057 = new Class423(var5);
                  }

                  for(var5 = 0; var5 < var4; ++var5) {
                     boolean var11 = var1.readUnsignedByte(-700559597) == 1;
                     var7 = var1.readTriByte(-1240314663);
                     Object var8;
                     if(var11) {
                        var8 = new ObjectVar(var1.readString((byte)-33));
                     } else {
                        var8 = new IntVar(var1.readInt_(-1576418450));
                     }

                     this.aClass423_5057.method7206((Class225)var8, (long)var7);
                  }
               }
            } else {
               var1.readUnsignedByte(-700559597);
               var1.readUnsignedShort(-937710807);
            }
         } else {
            this.anInt5062 = var1.readUnsignedShort(-937710807) * 115231363;
            if('\uffff' == -1557670869 * this.anInt5062) {
               this.anInt5062 = -115231363;
            }

            this.anInt5063 = var1.readUnsignedShort(-937710807) * 84485395;
            if(-943690469 * this.anInt5063 == '\uffff') {
               this.anInt5063 = -84485395;
            }

            var4 = -1;
            if(var2 == 118) {
               var4 = var1.readUnsignedShort(-937710807);
               if(var4 == '\uffff') {
                  var4 = -1;
               }
            }

            var5 = var1.readUnsignedByte(-700559597);
            this.anIntArray5061 = new int[2 + var5];

            for(var6 = 0; var6 <= var5; ++var6) {
               this.anIntArray5061[var6] = var1.readUnsignedShort(-937710807);
               if('\uffff' == this.anIntArray5061[var6]) {
                  this.anIntArray5061[var6] = -1;
               }
            }

            this.anIntArray5061[var5 + 1] = var4;
         }
      }

   }

   public String method7053(int var1, String var2) {
      if(this.aClass423_5057 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5057.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   void method7054(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method7052(var1, var2, 210218270);
      }
   }

   void method7055() {
      if(this.anIntArray5031 == null) {
         this.anIntArray5031 = new int[0];
      }

      if(this.aByte5087 == -1) {
         if(Class481.aClass481_5854 == this.aClass388_5027.aClass481_4835) {
            this.aByte5087 = 1;
         } else {
            this.aByte5087 = 0;
         }
      }

   }

   public final Class568 method7056(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11, int var12) {
      return this.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, this.anInt5034 * 1521242771, true, 2118832288);
   }

   public final Class568 method7057(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11) {
      return this.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, this.anInt5034 * 1521242771, true, 1477193702);
   }

   public final Class568 method7058(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11, int var12, boolean var13) {
      if(null != this.anIntArray5061) {
         Class411 var39 = this.method7045(var4, var5, -1873125472);
         return null == var39?null:var39.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, var12, var13, 1800617641);
      } else {
         int var14 = var2;
         if(-928898063 * this.anInt5025 != 128) {
            var14 = var2 | 2;
         }

         if(128 != 1489669723 * this.anInt5038) {
            var14 |= 5;
         }

         boolean var15 = false;
         int var16 = null != var8?var8.length:0;

         for(int var17 = 0; var17 < var16; ++var17) {
            if(var8[var17] != null) {
               var14 |= var8[var17].method7983(257675263);
               var15 = true;
            }
         }

         if(var6 != null) {
            var14 |= var6.method7983(257675263);
            var15 = true;
         }

         if(var7 != null) {
            var14 |= var7.method7983(257675263);
            var15 = true;
         }

         long var18 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var11 != null) {
            var18 |= var11.aLong4883 * -3721841157806580057L << 24;
         }

         Class564 var20 = this.aClass388_5027.aClass564_4840;
         Class568 var21;
         synchronized(var20) {
            var21 = (Class568)this.aClass388_5027.aClass564_4840.method11959(var18);
         }

         Class546 var40 = null;
         if(!var13 && var12 != -1) {
            var40 = var3.method12008(var12, (byte)0);
         } else if(-1 != this.anInt5034 * 1521242771) {
            var40 = var3.method12008(1521242771 * this.anInt5034, (byte)-13);
         }

         int var26;
         if(null == var21 || (var21.m() & var14) != var14) {
            if(null != var21) {
               var14 |= var21.m();
            }

            int var22 = var14;
            if(this.aShortArray5045 != null) {
               var22 = var14 | 16384;
            }

            if(this.aShortArray5052 != null) {
               var22 |= '\u8000';
            }

            if(0 != this.aByte5081) {
               var22 |= 524288;
            }

            int[] var23 = var11 != null && var11.anIntArray4881 != null?var11.anIntArray4881:this.anIntArray5031;
            boolean var24 = false;
            Class253 var25 = this.aClass388_5027.aClass253_4843;
            synchronized(var25) {
               for(var26 = 0; var26 < var23.length; ++var26) {
                  if(var23[var26] != -1 && !this.aClass388_5027.aClass253_4843.method4506(var23[var26], 0, (byte)-25)) {
                     var24 = true;
                  }
               }
            }

            if(var24) {
               return null;
            }

            Class96[] var48 = new Class96[var23.length];

            int var27;
            for(var27 = 0; var27 < var23.length; ++var27) {
               if(-1 != var23[var27]) {
                  Class253 var28 = this.aClass388_5027.aClass253_4843;
                  synchronized(var28) {
                     var48[var27] = Class96.method1867(this.aClass388_5027.aClass253_4843, var23[var27], 0);
                  }

                  if(null != var48[var27]) {
                     if(var48[var27].anInt947 < 13) {
                        var48[var27].method1848(2);
                     }

                     if(null != this.anIntArrayArray5033 && null != this.anIntArrayArray5033[var27]) {
                        var48[var27].method1863(this.anIntArrayArray5033[var27][0], this.anIntArrayArray5033[var27][1], this.anIntArrayArray5033[var27][2]);
                     }
                  }
               }
            }

            int var46;
            if(null != var40 && var40.anIntArrayArray7416 != null) {
               for(var27 = 0; var27 < var40.anIntArrayArray7416.length; ++var27) {
                  if(var27 < var48.length && null != var48[var27]) {
                     var46 = 0;
                     int var29 = 0;
                     int var30 = 0;
                     int var31 = 0;
                     int var32 = 0;
                     int var33 = 0;
                     if(null != var40.anIntArrayArray7416[var27]) {
                        var46 = var40.anIntArrayArray7416[var27][0];
                        var29 = var40.anIntArrayArray7416[var27][1];
                        var30 = var40.anIntArrayArray7416[var27][2];
                        var31 = var40.anIntArrayArray7416[var27][3] << 3;
                        var32 = var40.anIntArrayArray7416[var27][4] << 3;
                        var33 = var40.anIntArrayArray7416[var27][5] << 3;
                     }

                     if(var31 != 0 || 0 != var32 || var33 != 0) {
                        var48[var27].method1885(var31, var32, var33);
                     }

                     if(var46 != 0 || 0 != var29 || var30 != 0) {
                        var48[var27].method1863(var46, var29, var30);
                     }
                  }
               }
            }

            Class96 var43;
            if(1 == var48.length) {
               var43 = var48[0];
            } else {
               var43 = new Class96(var48, var48.length);
            }

            var21 = var1.method11493(var43, var22, 1995552779 * this.aClass388_5027.anInt4842, 64 + this.anInt5051 * -221781461, 22923371 * this.anInt5092 + 850);
            short[] var47;
            if(this.aShortArray5045 != null) {
               if(var11 != null && var11.aShortArray4882 != null) {
                  var47 = var11.aShortArray4882;
               } else {
                  var47 = this.aShortArray5036;
               }

               for(var46 = 0; var46 < this.aShortArray5045.length; ++var46) {
                  if(null != this.aByteArray5037 && var46 < this.aByteArray5037.length) {
                     var21.X(this.aShortArray5045[var46], aShortArray5026[this.aByteArray5037[var46] & 255]);
                  } else {
                     var21.X(this.aShortArray5045[var46], var47[var46]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(var11 != null && null != var11.aShortArray4880) {
                  var47 = var11.aShortArray4880;
               } else {
                  var47 = this.aShortArray5080;
               }

               for(var46 = 0; var46 < this.aShortArray5052.length; ++var46) {
                  var21.W(this.aShortArray5052[var46], var47[var46]);
               }
            }

            if(0 != this.aByte5081) {
               var21.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var21.KA(var14);
            Class564 var51 = this.aClass388_5027.aClass564_4840;
            synchronized(var51) {
               this.aClass388_5027.aClass564_4840.method11958(var21, var18);
            }
         }

         Class568 var44 = var21.method12060((byte)4, var14, true);
         boolean var41 = false;
         if(var9 != null) {
            for(int var45 = 0; var45 < 12; ++var45) {
               if(var9[var45] != -1) {
                  var41 = true;
               }
            }
         }

         if(!var15 && !var41) {
            return var44;
         } else {
            Class328[] var42 = null;
            if(null != var40) {
               var42 = var40.method11738((byte)56);
            }

            int var49;
            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, true);
                  }
               }
            }

            var49 = 0;

            for(var26 = 1; var49 < var16; var26 <<= 1) {
               if(var8[var49] != null) {
                  var8[var49].method7985(var44, 0, var26, 1211369818);
               }

               ++var49;
            }

            if(var41) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var9[var49] != -1) {
                     var26 = var9[var49] - var10;
                     var26 &= 16383;
                     Class328 var50 = new Class328();
                     var50.method5997(0.0F, 1.0F, 0.0F, Class312.method5556(var26));
                     var44.method12114(var50, 1 << var49, false);
                  }
               }
            }

            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, false);
                  }
               }
            }

            if(null != var6 && null != var7) {
               Class515_Sub1_Sub4_Sub4.method16732(var44, var6, var7, -1791822944);
            } else if(null != var6) {
               var6.method8040(var44, 0, 358676815);
            } else if(var7 != null) {
               var7.method8040(var44, 0, -1254604754);
            }

            if(this.anInt5038 * 1489669723 != 128 || -928898063 * this.anInt5025 != 128) {
               var44.oa(this.anInt5038 * 1489669723, this.anInt5025 * -928898063, 1489669723 * this.anInt5038);
            }

            var44.KA(var2);
            return var44;
         }
      }
   }

   public final Class568 method7059(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11, int var12, boolean var13) {
      if(null != this.anIntArray5061) {
         Class411 var39 = this.method7045(var4, var5, -1873125472);
         return null == var39?null:var39.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, var12, var13, 1565311461);
      } else {
         int var14 = var2;
         if(-928898063 * this.anInt5025 != 128) {
            var14 = var2 | 2;
         }

         if(128 != 1489669723 * this.anInt5038) {
            var14 |= 5;
         }

         boolean var15 = false;
         int var16 = null != var8?var8.length:0;

         for(int var17 = 0; var17 < var16; ++var17) {
            if(var8[var17] != null) {
               var14 |= var8[var17].method7983(257675263);
               var15 = true;
            }
         }

         if(var6 != null) {
            var14 |= var6.method7983(257675263);
            var15 = true;
         }

         if(var7 != null) {
            var14 |= var7.method7983(257675263);
            var15 = true;
         }

         long var18 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var11 != null) {
            var18 |= var11.aLong4883 * -3721841157806580057L << 24;
         }

         Class564 var20 = this.aClass388_5027.aClass564_4840;
         Class568 var21;
         synchronized(var20) {
            var21 = (Class568)this.aClass388_5027.aClass564_4840.method11959(var18);
         }

         Class546 var40 = null;
         if(!var13 && var12 != -1) {
            var40 = var3.method12008(var12, (byte)-30);
         } else if(-1 != this.anInt5034 * 1521242771) {
            var40 = var3.method12008(1521242771 * this.anInt5034, (byte)-37);
         }

         int var26;
         if(null == var21 || (var21.m() & var14) != var14) {
            if(null != var21) {
               var14 |= var21.m();
            }

            int var22 = var14;
            if(this.aShortArray5045 != null) {
               var22 = var14 | 16384;
            }

            if(this.aShortArray5052 != null) {
               var22 |= '\u8000';
            }

            if(0 != this.aByte5081) {
               var22 |= 524288;
            }

            int[] var23 = var11 != null && var11.anIntArray4881 != null?var11.anIntArray4881:this.anIntArray5031;
            boolean var24 = false;
            Class253 var25 = this.aClass388_5027.aClass253_4843;
            synchronized(var25) {
               for(var26 = 0; var26 < var23.length; ++var26) {
                  if(var23[var26] != -1 && !this.aClass388_5027.aClass253_4843.method4506(var23[var26], 0, (byte)-54)) {
                     var24 = true;
                  }
               }
            }

            if(var24) {
               return null;
            }

            Class96[] var48 = new Class96[var23.length];

            int var27;
            for(var27 = 0; var27 < var23.length; ++var27) {
               if(-1 != var23[var27]) {
                  Class253 var28 = this.aClass388_5027.aClass253_4843;
                  synchronized(var28) {
                     var48[var27] = Class96.method1867(this.aClass388_5027.aClass253_4843, var23[var27], 0);
                  }

                  if(null != var48[var27]) {
                     if(var48[var27].anInt947 < 13) {
                        var48[var27].method1848(2);
                     }

                     if(null != this.anIntArrayArray5033 && null != this.anIntArrayArray5033[var27]) {
                        var48[var27].method1863(this.anIntArrayArray5033[var27][0], this.anIntArrayArray5033[var27][1], this.anIntArrayArray5033[var27][2]);
                     }
                  }
               }
            }

            int var46;
            if(null != var40 && var40.anIntArrayArray7416 != null) {
               for(var27 = 0; var27 < var40.anIntArrayArray7416.length; ++var27) {
                  if(var27 < var48.length && null != var48[var27]) {
                     var46 = 0;
                     int var29 = 0;
                     int var30 = 0;
                     int var31 = 0;
                     int var32 = 0;
                     int var33 = 0;
                     if(null != var40.anIntArrayArray7416[var27]) {
                        var46 = var40.anIntArrayArray7416[var27][0];
                        var29 = var40.anIntArrayArray7416[var27][1];
                        var30 = var40.anIntArrayArray7416[var27][2];
                        var31 = var40.anIntArrayArray7416[var27][3] << 3;
                        var32 = var40.anIntArrayArray7416[var27][4] << 3;
                        var33 = var40.anIntArrayArray7416[var27][5] << 3;
                     }

                     if(var31 != 0 || 0 != var32 || var33 != 0) {
                        var48[var27].method1885(var31, var32, var33);
                     }

                     if(var46 != 0 || 0 != var29 || var30 != 0) {
                        var48[var27].method1863(var46, var29, var30);
                     }
                  }
               }
            }

            Class96 var43;
            if(1 == var48.length) {
               var43 = var48[0];
            } else {
               var43 = new Class96(var48, var48.length);
            }

            var21 = var1.method11493(var43, var22, 1995552779 * this.aClass388_5027.anInt4842, 64 + this.anInt5051 * -221781461, 22923371 * this.anInt5092 + 850);
            short[] var47;
            if(this.aShortArray5045 != null) {
               if(var11 != null && var11.aShortArray4882 != null) {
                  var47 = var11.aShortArray4882;
               } else {
                  var47 = this.aShortArray5036;
               }

               for(var46 = 0; var46 < this.aShortArray5045.length; ++var46) {
                  if(null != this.aByteArray5037 && var46 < this.aByteArray5037.length) {
                     var21.X(this.aShortArray5045[var46], aShortArray5026[this.aByteArray5037[var46] & 255]);
                  } else {
                     var21.X(this.aShortArray5045[var46], var47[var46]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(var11 != null && null != var11.aShortArray4880) {
                  var47 = var11.aShortArray4880;
               } else {
                  var47 = this.aShortArray5080;
               }

               for(var46 = 0; var46 < this.aShortArray5052.length; ++var46) {
                  var21.W(this.aShortArray5052[var46], var47[var46]);
               }
            }

            if(0 != this.aByte5081) {
               var21.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var21.KA(var14);
            Class564 var51 = this.aClass388_5027.aClass564_4840;
            synchronized(var51) {
               this.aClass388_5027.aClass564_4840.method11958(var21, var18);
            }
         }

         Class568 var44 = var21.method12060((byte)4, var14, true);
         boolean var41 = false;
         if(var9 != null) {
            for(int var45 = 0; var45 < 12; ++var45) {
               if(var9[var45] != -1) {
                  var41 = true;
               }
            }
         }

         if(!var15 && !var41) {
            return var44;
         } else {
            Class328[] var42 = null;
            if(null != var40) {
               var42 = var40.method11738((byte)-22);
            }

            int var49;
            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, true);
                  }
               }
            }

            var49 = 0;

            for(var26 = 1; var49 < var16; var26 <<= 1) {
               if(var8[var49] != null) {
                  var8[var49].method7985(var44, 0, var26, -715598536);
               }

               ++var49;
            }

            if(var41) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var9[var49] != -1) {
                     var26 = var9[var49] - var10;
                     var26 &= 16383;
                     Class328 var50 = new Class328();
                     var50.method5997(0.0F, 1.0F, 0.0F, Class312.method5556(var26));
                     var44.method12114(var50, 1 << var49, false);
                  }
               }
            }

            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, false);
                  }
               }
            }

            if(null != var6 && null != var7) {
               Class515_Sub1_Sub4_Sub4.method16732(var44, var6, var7, -1410401356);
            } else if(null != var6) {
               var6.method8040(var44, 0, 1690461455);
            } else if(var7 != null) {
               var7.method8040(var44, 0, 704323034);
            }

            if(this.anInt5038 * 1489669723 != 128 || -928898063 * this.anInt5025 != 128) {
               var44.oa(this.anInt5038 * 1489669723, this.anInt5025 * -928898063, 1489669723 * this.anInt5038);
            }

            var44.KA(var2);
            return var44;
         }
      }
   }

   public final Class568 method7060(Class545 var1, int var2, Interface13 var3, Interface12 var4, Class477 var5, Class396 var6) {
      if(null != this.anIntArray5061) {
         Class411 var23 = this.method7045(var3, var4, -1873125472);
         return var23 == null?null:var23.method7041(var1, var2, var3, var4, var5, var6, 203985663);
      } else if(null == this.anIntArray5032 && (var6 == null || null == var6.anIntArray4881)) {
         return null;
      } else {
         int var7 = var2;
         if(null != var5) {
            var7 = var2 | var5.method7983(257675263);
         }

         long var8 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var6 != null) {
            var8 |= -3721841157806580057L * var6.aLong4883 << 24;
         }

         Class564 var10 = this.aClass388_5027.aClass564_4834;
         Class568 var11;
         synchronized(var10) {
            var11 = (Class568)this.aClass388_5027.aClass564_4834.method11959(var8);
         }

         if(var11 == null || (var11.m() & var7) != var7) {
            if(var11 != null) {
               var7 |= var11.m();
            }

            int var24 = var7;
            if(null != this.aShortArray5045) {
               var24 = var7 | 16384;
            }

            if(null != this.aShortArray5052) {
               var24 |= '\u8000';
            }

            if(this.aByte5081 != 0) {
               var24 |= 524288;
            }

            int[] var12 = null != var6 && var6.anIntArray4881 != null?var6.anIntArray4881:this.anIntArray5032;
            boolean var13 = false;
            Class253 var14 = this.aClass388_5027.aClass253_4843;
            int var15;
            synchronized(var14) {
               for(var15 = 0; var15 < var12.length; ++var15) {
                  if(!this.aClass388_5027.aClass253_4843.method4506(var12[var15], 0, (byte)-24)) {
                     var13 = true;
                  }
               }
            }

            if(var13) {
               return null;
            }

            Class96[] var25 = new Class96[var12.length];
            Class253 var28 = this.aClass388_5027.aClass253_4843;
            synchronized(var28) {
               for(int var16 = 0; var16 < var12.length; ++var16) {
                  var25[var16] = Class96.method1867(this.aClass388_5027.aClass253_4843, var12[var16], 0);
               }
            }

            for(var15 = 0; var15 < var12.length; ++var15) {
               if(null != var25[var15] && var25[var15].anInt947 < 13) {
                  var25[var15].method1848(2);
               }
            }

            Class96 var26;
            if(1 == var25.length) {
               var26 = var25[0];
            } else {
               var26 = new Class96(var25, var25.length);
            }

            var11 = var1.method11493(var26, var24, this.aClass388_5027.anInt4842 * 1995552779, 64, 768);
            int var17;
            short[] var27;
            if(this.aShortArray5045 != null) {
               if(var6 != null && null != var6.aShortArray4882) {
                  var27 = var6.aShortArray4882;
               } else {
                  var27 = this.aShortArray5036;
               }

               for(var17 = 0; var17 < this.aShortArray5045.length; ++var17) {
                  if(this.aByteArray5037 != null && var17 < this.aByteArray5037.length) {
                     var11.X(this.aShortArray5045[var17], aShortArray5026[this.aByteArray5037[var17] & 255]);
                  } else {
                     var11.X(this.aShortArray5045[var17], var27[var17]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(null != var6 && null != var6.aShortArray4880) {
                  var27 = var6.aShortArray4880;
               } else {
                  var27 = this.aShortArray5080;
               }

               for(var17 = 0; var17 < this.aShortArray5052.length; ++var17) {
                  var11.W(this.aShortArray5052[var17], var27[var17]);
               }
            }

            if(this.aByte5081 != 0) {
               var11.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var11.KA(var7);
            Class564 var29 = this.aClass388_5027.aClass564_4834;
            synchronized(var29) {
               this.aClass388_5027.aClass564_4834.method11958(var11, var8);
            }
         }

         if(null != var5) {
            var11 = var11.method12060((byte)1, var7, true);
            var5.method8040(var11, 0, 1058914235);
         }

         var11.KA(var2);
         return var11;
      }
   }

   public int method7061(int var1) {
      return this.anIntArray5050 == null?-1:this.anIntArray5050[var1];
   }

   public final boolean method7062() {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var1 = true;
         int[] var2 = this.anIntArray5031;

         for(int var3 = 0; var3 < var2.length; ++var3) {
            int var4 = var2[var3];
            if(!this.aClass388_5027.aClass253_4843.method4506(var4, 0, (byte)33)) {
               var1 = false;
            }
         }

         return var1;
      }
   }

   public final Class568 method7063(Class545 var1, int var2, Class566 var3, Interface13 var4, Interface12 var5, Class477 var6, Class477 var7, Class477[] var8, int[] var9, int var10, Class396 var11, int var12, boolean var13) {
      if(null != this.anIntArray5061) {
         Class411 var39 = this.method7045(var4, var5, -1873125472);
         return null == var39?null:var39.method7040(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, var12, var13, 1988952128);
      } else {
         int var14 = var2;
         if(-928898063 * this.anInt5025 != 128) {
            var14 = var2 | 2;
         }

         if(128 != 1489669723 * this.anInt5038) {
            var14 |= 5;
         }

         boolean var15 = false;
         int var16 = null != var8?var8.length:0;

         for(int var17 = 0; var17 < var16; ++var17) {
            if(var8[var17] != null) {
               var14 |= var8[var17].method7983(257675263);
               var15 = true;
            }
         }

         if(var6 != null) {
            var14 |= var6.method7983(257675263);
            var15 = true;
         }

         if(var7 != null) {
            var14 |= var7.method7983(257675263);
            var15 = true;
         }

         long var18 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var11 != null) {
            var18 |= var11.aLong4883 * -3721841157806580057L << 24;
         }

         Class564 var20 = this.aClass388_5027.aClass564_4840;
         Class568 var21;
         synchronized(var20) {
            var21 = (Class568)this.aClass388_5027.aClass564_4840.method11959(var18);
         }

         Class546 var40 = null;
         if(!var13 && var12 != -1) {
            var40 = var3.method12008(var12, (byte)-64);
         } else if(-1 != this.anInt5034 * 1521242771) {
            var40 = var3.method12008(1521242771 * this.anInt5034, (byte)38);
         }

         int var26;
         if(null == var21 || (var21.m() & var14) != var14) {
            if(null != var21) {
               var14 |= var21.m();
            }

            int var22 = var14;
            if(this.aShortArray5045 != null) {
               var22 = var14 | 16384;
            }

            if(this.aShortArray5052 != null) {
               var22 |= '\u8000';
            }

            if(0 != this.aByte5081) {
               var22 |= 524288;
            }

            int[] var23 = var11 != null && var11.anIntArray4881 != null?var11.anIntArray4881:this.anIntArray5031;
            boolean var24 = false;
            Class253 var25 = this.aClass388_5027.aClass253_4843;
            synchronized(var25) {
               for(var26 = 0; var26 < var23.length; ++var26) {
                  if(var23[var26] != -1 && !this.aClass388_5027.aClass253_4843.method4506(var23[var26], 0, (byte)28)) {
                     var24 = true;
                  }
               }
            }

            if(var24) {
               return null;
            }

            Class96[] var48 = new Class96[var23.length];

            int var27;
            for(var27 = 0; var27 < var23.length; ++var27) {
               if(-1 != var23[var27]) {
                  Class253 var28 = this.aClass388_5027.aClass253_4843;
                  synchronized(var28) {
                     var48[var27] = Class96.method1867(this.aClass388_5027.aClass253_4843, var23[var27], 0);
                  }

                  if(null != var48[var27]) {
                     if(var48[var27].anInt947 < 13) {
                        var48[var27].method1848(2);
                     }

                     if(null != this.anIntArrayArray5033 && null != this.anIntArrayArray5033[var27]) {
                        var48[var27].method1863(this.anIntArrayArray5033[var27][0], this.anIntArrayArray5033[var27][1], this.anIntArrayArray5033[var27][2]);
                     }
                  }
               }
            }

            int var46;
            if(null != var40 && var40.anIntArrayArray7416 != null) {
               for(var27 = 0; var27 < var40.anIntArrayArray7416.length; ++var27) {
                  if(var27 < var48.length && null != var48[var27]) {
                     var46 = 0;
                     int var29 = 0;
                     int var30 = 0;
                     int var31 = 0;
                     int var32 = 0;
                     int var33 = 0;
                     if(null != var40.anIntArrayArray7416[var27]) {
                        var46 = var40.anIntArrayArray7416[var27][0];
                        var29 = var40.anIntArrayArray7416[var27][1];
                        var30 = var40.anIntArrayArray7416[var27][2];
                        var31 = var40.anIntArrayArray7416[var27][3] << 3;
                        var32 = var40.anIntArrayArray7416[var27][4] << 3;
                        var33 = var40.anIntArrayArray7416[var27][5] << 3;
                     }

                     if(var31 != 0 || 0 != var32 || var33 != 0) {
                        var48[var27].method1885(var31, var32, var33);
                     }

                     if(var46 != 0 || 0 != var29 || var30 != 0) {
                        var48[var27].method1863(var46, var29, var30);
                     }
                  }
               }
            }

            Class96 var43;
            if(1 == var48.length) {
               var43 = var48[0];
            } else {
               var43 = new Class96(var48, var48.length);
            }

            var21 = var1.method11493(var43, var22, 1995552779 * this.aClass388_5027.anInt4842, 64 + this.anInt5051 * -221781461, 22923371 * this.anInt5092 + 850);
            short[] var47;
            if(this.aShortArray5045 != null) {
               if(var11 != null && var11.aShortArray4882 != null) {
                  var47 = var11.aShortArray4882;
               } else {
                  var47 = this.aShortArray5036;
               }

               for(var46 = 0; var46 < this.aShortArray5045.length; ++var46) {
                  if(null != this.aByteArray5037 && var46 < this.aByteArray5037.length) {
                     var21.X(this.aShortArray5045[var46], aShortArray5026[this.aByteArray5037[var46] & 255]);
                  } else {
                     var21.X(this.aShortArray5045[var46], var47[var46]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(var11 != null && null != var11.aShortArray4880) {
                  var47 = var11.aShortArray4880;
               } else {
                  var47 = this.aShortArray5080;
               }

               for(var46 = 0; var46 < this.aShortArray5052.length; ++var46) {
                  var21.W(this.aShortArray5052[var46], var47[var46]);
               }
            }

            if(0 != this.aByte5081) {
               var21.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var21.KA(var14);
            Class564 var51 = this.aClass388_5027.aClass564_4840;
            synchronized(var51) {
               this.aClass388_5027.aClass564_4840.method11958(var21, var18);
            }
         }

         Class568 var44 = var21.method12060((byte)4, var14, true);
         boolean var41 = false;
         if(var9 != null) {
            for(int var45 = 0; var45 < 12; ++var45) {
               if(var9[var45] != -1) {
                  var41 = true;
               }
            }
         }

         if(!var15 && !var41) {
            return var44;
         } else {
            Class328[] var42 = null;
            if(null != var40) {
               var42 = var40.method11738((byte)-79);
            }

            int var49;
            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, true);
                  }
               }
            }

            var49 = 0;

            for(var26 = 1; var49 < var16; var26 <<= 1) {
               if(var8[var49] != null) {
                  var8[var49].method7985(var44, 0, var26, 168223623);
               }

               ++var49;
            }

            if(var41) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var9[var49] != -1) {
                     var26 = var9[var49] - var10;
                     var26 &= 16383;
                     Class328 var50 = new Class328();
                     var50.method5997(0.0F, 1.0F, 0.0F, Class312.method5556(var26));
                     var44.method12114(var50, 1 << var49, false);
                  }
               }
            }

            if(var41 && null != var42) {
               for(var49 = 0; var49 < 12; ++var49) {
                  if(var42[var49] != null) {
                     var44.method12114(var42[var49], 1 << var49, false);
                  }
               }
            }

            if(null != var6 && null != var7) {
               Class515_Sub1_Sub4_Sub4.method16732(var44, var6, var7, -1711928574);
            } else if(null != var6) {
               var6.method8040(var44, 0, 1421016371);
            } else if(var7 != null) {
               var7.method8040(var44, 0, 1630924986);
            }

            if(this.anInt5038 * 1489669723 != 128 || -928898063 * this.anInt5025 != 128) {
               var44.oa(this.anInt5038 * 1489669723, this.anInt5025 * -928898063, 1489669723 * this.anInt5038);
            }

            var44.KA(var2);
            return var44;
         }
      }
   }

   public final boolean method7064() {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var1 = true;
         int[] var2 = this.anIntArray5031;

         for(int var3 = 0; var3 < var2.length; ++var3) {
            int var4 = var2[var3];
            if(!this.aClass388_5027.aClass253_4843.method4506(var4, 0, (byte)-98)) {
               var1 = false;
            }
         }

         return var1;
      }
   }

   public final boolean method7065() {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var1 = true;
         int[] var2 = this.anIntArray5031;

         for(int var3 = 0; var3 < var2.length; ++var3) {
            int var4 = var2[var3];
            if(!this.aClass388_5027.aClass253_4843.method4506(var4, 0, (byte)-53)) {
               var1 = false;
            }
         }

         return var1;
      }
   }

   public final boolean method7066() {
      if(this.anIntArray5031 == null) {
         return true;
      } else {
         boolean var1 = true;
         int[] var2 = this.anIntArray5031;

         for(int var3 = 0; var3 < var2.length; ++var3) {
            int var4 = var2[var3];
            if(!this.aClass388_5027.aClass253_4843.method4506(var4, 0, (byte)-9)) {
               var1 = false;
            }
         }

         return var1;
      }
   }

   public int method7067(int var1) {
      return this.anIntArray5050 == null?-1:this.anIntArray5050[var1];
   }

   public int method7068(int var1, int var2) {
      if(null == this.aClass423_5057) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5057.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public int method7069(int var1, int var2) {
      if(null == this.aClass423_5057) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5057.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public boolean method7070(Interface13 var1, Interface12 var2) {
      if(null == this.anIntArray5061) {
         return true;
      } else {
         int var3 = -1;
         if(-1 != -1557670869 * this.anInt5062) {
            Class295 var4 = var1.method52(this.anInt5062 * -1557670869, 1789425459);
            if(null != var4) {
               var3 = var2.method49(var4, (byte)70);
            }
         } else if(-943690469 * this.anInt5063 != -1) {
            Class169 var5 = var1.method53(Class251.aClass251_2983, this.anInt5063 * -943690469, (byte)-99);
            if(var5 != null) {
               var3 = var2.method50(var5, 803301542);
            }
         }

         if(var3 >= 0 && var3 < this.anIntArray5061.length - 1) {
            return this.anIntArray5061[var3] != -1;
         } else {
            int var6 = this.anIntArray5061[this.anIntArray5061.length - 1];
            return var6 != -1;
         }
      }
   }

   public final Class568 method7071(Class545 var1, int var2, Interface13 var3, Interface12 var4, Class477 var5, Class396 var6) {
      if(null != this.anIntArray5061) {
         Class411 var23 = this.method7045(var3, var4, -1873125472);
         return var23 == null?null:var23.method7041(var1, var2, var3, var4, var5, var6, 577647451);
      } else if(null == this.anIntArray5032 && (var6 == null || null == var6.anIntArray4881)) {
         return null;
      } else {
         int var7 = var2;
         if(null != var5) {
            var7 = var2 | var5.method7983(257675263);
         }

         long var8 = (long)(this.anInt5056 * -201037775 | var1.anInt7353 * -1659372711 << 16);
         if(var6 != null) {
            var8 |= -3721841157806580057L * var6.aLong4883 << 24;
         }

         Class564 var10 = this.aClass388_5027.aClass564_4834;
         Class568 var11;
         synchronized(var10) {
            var11 = (Class568)this.aClass388_5027.aClass564_4834.method11959(var8);
         }

         if(var11 == null || (var11.m() & var7) != var7) {
            if(var11 != null) {
               var7 |= var11.m();
            }

            int var24 = var7;
            if(null != this.aShortArray5045) {
               var24 = var7 | 16384;
            }

            if(null != this.aShortArray5052) {
               var24 |= '\u8000';
            }

            if(this.aByte5081 != 0) {
               var24 |= 524288;
            }

            int[] var12 = null != var6 && var6.anIntArray4881 != null?var6.anIntArray4881:this.anIntArray5032;
            boolean var13 = false;
            Class253 var14 = this.aClass388_5027.aClass253_4843;
            int var15;
            synchronized(var14) {
               for(var15 = 0; var15 < var12.length; ++var15) {
                  if(!this.aClass388_5027.aClass253_4843.method4506(var12[var15], 0, (byte)10)) {
                     var13 = true;
                  }
               }
            }

            if(var13) {
               return null;
            }

            Class96[] var25 = new Class96[var12.length];
            Class253 var28 = this.aClass388_5027.aClass253_4843;
            synchronized(var28) {
               for(int var16 = 0; var16 < var12.length; ++var16) {
                  var25[var16] = Class96.method1867(this.aClass388_5027.aClass253_4843, var12[var16], 0);
               }
            }

            for(var15 = 0; var15 < var12.length; ++var15) {
               if(null != var25[var15] && var25[var15].anInt947 < 13) {
                  var25[var15].method1848(2);
               }
            }

            Class96 var26;
            if(1 == var25.length) {
               var26 = var25[0];
            } else {
               var26 = new Class96(var25, var25.length);
            }

            var11 = var1.method11493(var26, var24, this.aClass388_5027.anInt4842 * 1995552779, 64, 768);
            int var17;
            short[] var27;
            if(this.aShortArray5045 != null) {
               if(var6 != null && null != var6.aShortArray4882) {
                  var27 = var6.aShortArray4882;
               } else {
                  var27 = this.aShortArray5036;
               }

               for(var17 = 0; var17 < this.aShortArray5045.length; ++var17) {
                  if(this.aByteArray5037 != null && var17 < this.aByteArray5037.length) {
                     var11.X(this.aShortArray5045[var17], aShortArray5026[this.aByteArray5037[var17] & 255]);
                  } else {
                     var11.X(this.aShortArray5045[var17], var27[var17]);
                  }
               }
            }

            if(this.aShortArray5052 != null) {
               if(null != var6 && null != var6.aShortArray4880) {
                  var27 = var6.aShortArray4880;
               } else {
                  var27 = this.aShortArray5080;
               }

               for(var17 = 0; var17 < this.aShortArray5052.length; ++var17) {
                  var11.W(this.aShortArray5052[var17], var27[var17]);
               }
            }

            if(this.aByte5081 != 0) {
               var11.PA(this.aByte5078, this.aByte5043, this.aByte5035, this.aByte5081 & 255);
            }

            var11.KA(var7);
            Class564 var29 = this.aClass388_5027.aClass564_4834;
            synchronized(var29) {
               this.aClass388_5027.aClass564_4834.method11958(var11, var8);
            }
         }

         if(null != var5) {
            var11 = var11.method12060((byte)1, var7, true);
            var5.method8040(var11, 0, 1272463451);
         }

         var11.KA(var2);
         return var11;
      }
   }

   public String method7072(int var1, String var2) {
      if(this.aClass423_5057 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5057.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   public String method7073(int var1, String var2) {
      if(this.aClass423_5057 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5057.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   public boolean method7074(Interface13 var1, Interface12 var2) {
      if(null == this.anIntArray5061) {
         return true;
      } else {
         int var3 = -1;
         if(-1 != -1557670869 * this.anInt5062) {
            Class295 var4 = var1.method52(this.anInt5062 * -1557670869, 1834192834);
            if(null != var4) {
               var3 = var2.method49(var4, (byte)27);
            }
         } else if(-943690469 * this.anInt5063 != -1) {
            Class169 var5 = var1.method53(Class251.aClass251_2983, this.anInt5063 * -943690469, (byte)-44);
            if(var5 != null) {
               var3 = var2.method50(var5, 1046759355);
            }
         }

         if(var3 >= 0 && var3 < this.anIntArray5061.length - 1) {
            return this.anIntArray5061[var3] != -1;
         } else {
            int var6 = this.anIntArray5061[this.anIntArray5061.length - 1];
            return var6 != -1;
         }
      }
   }

   public boolean method7075(Interface13 var1, Interface12 var2) {
      if(null == this.anIntArray5061) {
         return true;
      } else {
         int var3 = -1;
         if(-1 != -1557670869 * this.anInt5062) {
            Class295 var4 = var1.method52(this.anInt5062 * -1557670869, 2044537982);
            if(null != var4) {
               var3 = var2.method49(var4, (byte)68);
            }
         } else if(-943690469 * this.anInt5063 != -1) {
            Class169 var5 = var1.method53(Class251.aClass251_2983, this.anInt5063 * -943690469, (byte)-44);
            if(var5 != null) {
               var3 = var2.method50(var5, 777885669);
            }
         }

         if(var3 >= 0 && var3 < this.anIntArray5061.length - 1) {
            return this.anIntArray5061[var3] != -1;
         } else {
            int var6 = this.anIntArray5061[this.anIntArray5061.length - 1];
            return var6 != -1;
         }
      }
   }

   void method7076(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method7052(var1, var2, 210218270);
      }
   }

   public boolean method7077() {
      if(this.anIntArray5061 == null) {
         return this.anInt5074 * 748352463 != -1 || this.anInt5076 * -702410857 != -1 || -884370277 * this.anInt5039 != -1;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5061.length; ++var1) {
            if(-1 != this.anIntArray5061[var1]) {
               Class411 var2 = this.aClass388_5027.method6647(this.anIntArray5061[var1], 1511240960);
               if(-1 != var2.anInt5074 * 748352463 || var2.anInt5076 * -702410857 != -1 || var2.anInt5039 * -884370277 != -1) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   public boolean method7078() {
      if(this.anIntArray5061 == null) {
         return this.anInt5074 * 748352463 != -1 || this.anInt5076 * -702410857 != -1 || -884370277 * this.anInt5039 != -1;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5061.length; ++var1) {
            if(-1 != this.anIntArray5061[var1]) {
               Class411 var2 = this.aClass388_5027.method6647(this.anIntArray5061[var1], 2053008194);
               if(-1 != var2.anInt5074 * 748352463 || var2.anInt5076 * -702410857 != -1 || var2.anInt5039 * -884370277 != -1) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   Class411() {
      this.aClass270_5084 = Class270.aClass270_3117;
      this.anInt5070 = 793670309;
      this.aByte5087 = -1;
      this.anInt5088 = -1944853111;
      this.anInt5089 = 297066752;
      this.anInt5090 = -226761984;
      this.anInt5028 = 0;
      this.aBool5067 = true;
   }

   void method7079() {
      if(this.anIntArray5031 == null) {
         this.anIntArray5031 = new int[0];
      }

      if(this.aByte5087 == -1) {
         if(Class481.aClass481_5854 == this.aClass388_5027.aClass481_4835) {
            this.aByte5087 = 1;
         } else {
            this.aByte5087 = 0;
         }
      }

   }

   public static Class459 method7080(int var0, int var1) {
      Class459[] var2 = Class29.method854((byte)117);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Class459 var4 = var2[var3];
         if(1300379885 * var4.anInt5725 == var0) {
            return var4;
         }
      }

      return null;
   }

   static void method7081(Class545 var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7, byte var8) {
      Class241 var9 = client.aClass279_7807.method4917(-2045526760);
      Interface20 var10 = (Interface20)var9.method4230(var1, var2, var3, (byte)53);
      Class445 var11;
      int var12;
      int var13;
      int var14;
      if(null != var10) {
         var11 = client.aClass279_7807.method5044(144471128).method7506(var10.method99(1373792989), 1097491129);
         var12 = var10.method87(839485456) & 3;
         var13 = var10.method89((byte)67);
         if(-762216121 * var11.anInt5493 != -1) {
            Class193.method3346(var0, var11, var12, var4, var5, (byte)1);
         } else {
            var14 = var6;
            if(-22824303 * var11.anInt5544 > 0) {
               var14 = var7;
            }

            if(var13 == Class458.aClass458_5706.anInt5719 * -1372814303 || var13 == -1372814303 * Class458.aClass458_5698.anInt5719) {
               if(var12 == 0) {
                  var0.method11468(var4, var5, 4, var14, (byte)102);
               } else if(1 == var12) {
                  var0.method11666(var4, var5, 4, var14, 1902428611);
               } else if(2 == var12) {
                  var0.method11468(3 + var4, var5, 4, var14, (byte)9);
               } else if(3 == var12) {
                  var0.method11666(var4, 3 + var5, 4, var14, -835256468);
               }
            }

            if(-1372814303 * Class458.aClass458_5714.anInt5719 == var13) {
               if(var12 == 0) {
                  var0.method11465(var4, var5, 1, 1, var14, -1699678344);
               } else if(1 == var12) {
                  var0.method11465(var4 + 3, var5, 1, 1, var14, -1681766297);
               } else if(var12 == 2) {
                  var0.method11465(3 + var4, var5 + 3, 1, 1, var14, -2108239401);
               } else if(var12 == 3) {
                  var0.method11465(var4, var5 + 3, 1, 1, var14, -1766563518);
               }
            }

            if(Class458.aClass458_5698.anInt5719 * -1372814303 == var13) {
               if(var12 == 0) {
                  var0.method11666(var4, var5, 4, var14, 2063625681);
               } else if(1 == var12) {
                  var0.method11468(var4 + 3, var5, 4, var14, (byte)81);
               } else if(var12 == 2) {
                  var0.method11666(var4, 3 + var5, 4, var14, 2084158667);
               } else if(3 == var12) {
                  var0.method11468(var4, var5, 4, var14, (byte)57);
               }
            }
         }
      }

      var10 = (Interface20)var9.method4309(var1, var2, var3, client.anInterface23_7662, 2016714589);
      if(var10 != null) {
         var11 = client.aClass279_7807.method5044(450849920).method7506(var10.method99(1373792989), 1162493121);
         var12 = var10.method87(33638331) & 3;
         var13 = var10.method89((byte)40);
         if(-1 != var11.anInt5493 * -762216121) {
            Class193.method3346(var0, var11, var12, var4, var5, (byte)1);
         } else if(var13 == -1372814303 * Class458.aClass458_5717.anInt5719) {
            var14 = -1118482;
            if(var11.anInt5544 * -22824303 > 0) {
               var14 = -1179648;
            }

            if(0 != var12 && 2 != var12) {
               var0.method11446(var4, var5, 3 + var4, var5 + 3, var14, (byte)1);
            } else {
               var0.method11446(var4, var5 + 3, 3 + var4, var5, var14, (byte)1);
            }
         }
      }

      var10 = (Interface20)var9.method4206(var1, var2, var3, (byte)6);
      if(null != var10) {
         var11 = client.aClass279_7807.method5044(-595341712).method7506(var10.method99(1373792989), 2021575410);
         var12 = var10.method87(1594088478) & 3;
         if(-762216121 * var11.anInt5493 != -1) {
            Class193.method3346(var0, var11, var12, var4, var5, (byte)1);
         }
      }

   }

   public static void method7082(boolean var0, int var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub10_8480, 1, -722399550);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub10_8483, 1, 1904306655);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub8_8476, 0, -108097280);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub16_8474, 0, 1408698309);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub27_8475, 0, 1522257944);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub28_8477, 0, -2021617696);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub13_8473, 0, -1018948342);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub19_8486, 0, 1265029635);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub20_8490, 0, 450939341);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub26_8487, 0, 1288177602);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub18_8478, 0, -640324567);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub30_8493, 0, 1997179850);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub12_8497, 0, 19258756);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub12_8481, 0, 255964714);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub14_8467, 0, 630185898);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub7_8468, Class50.aClass50_504.anInt509 * -969519945, 23211433);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub11_8469, 0, -483553619);
      if(null != Class428.aClass545_5383 && Class428.aClass545_5383.method11712() && Class428.aClass545_5383.method11588()) {
         Class428.aClass545_5383.method11510();
      }

      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub29_8485, 0, -1800929777);
      Class225_Sub12_Sub4.method16256((byte)74);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub25_8505, 2, 1983096742);
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub23_8488, 1, 1315292029);
      Class203.method3454(1306605909);
      client.aClass279_7807.method4921(-1751966125).method11240((byte)-66);
      client.aBool7670 = true;
   }
}
